#
# spec file for package docutils (Version 0.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           docutils
BuildRequires:  python-devel
License:        BSD3c(or similar) ; GPLv2+ ; Public Domain, Freeware ; Python License ..
Group:          Productivity/Publishing/Other
AutoReqProv:    on
Version:        0.6
Release:        6.1
Summary:        Tools for Processing Plain Text Documentation into Useful Formats
Url:            http://docutils.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Patch1:         %{name}-0.6-insecure-temp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%{py_requires}
%endif
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
The purpose of the Docutils project is to create a set of tools for
processing plain text documentation into useful formats, such as HTML,
XML, and TeX. Several sources are supported:

* Stand-alone files (implemented)

* Inline documentation from Python modules and packages, extracted
   with namespace context

* PEPs (Python Enhancement Proposals) (implemented)

* And others as discovered



Authors:
--------
    David Goodger <goodger@users.sourceforge.net>

%prep
%setup
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
cd %{buildroot}%{_bindir}
ln -s rst2man.py rst2man

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING.txt FAQ.txt HISTORY.txt README.txt THANKS.txt BUGS.txt docs extras licenses tools
%{_bindir}/rst2man

%changelog
* Mon Oct 25 2010 cs@linux-administrator.com
- added rst2man symlink to bindir
* Thu Mar 18 2010 matejcik@suse.cz
- update to 0.6
  * scaling figures/images by percents
  * many improvements in LaTeX2e writer
- fixed insecure usage of temp files in emacs mode
  (bnc#564366)
* Tue Aug 11 2009 matejcik@suse.cz
- build as noarch on new distros
* Wed Aug  5 2009 matejcik@suse.cz
- update to 0.5
  * added hebrew mappings
  * configuration is now in UTF-8
  * minor fixes and refactoring
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- update to 0.4
* Tue May 31 2005 ltinkl@suse.cz
- update to 0.3.9
* Mon Jan  3 2005 mcihar@suse.cz
- update to 0.3.7
* Fri Jul 30 2004 mcihar@suse.cz
- update to 0.3.5
* Mon May 31 2004 mcihar@suse.cz
- updated to 0.3.3-alpha
* Thu Mar 18 2004 mcihar@suse.cz
- corrected python dependency
* Tue Feb 10 2004 vinil@suse.cz
- initial version (CVS from 2004-02-10)
